%global srcname lazr.delegates
%global pkgname lazr-delegates
%global summary Easily write objects that delegate behavior
%global _description \
The lazr.delegates package makes it easy to write objects that delegate      \
behavior to another object. The new object adds some property or behavior on \
to the other object, while still providing the underlying interface, and     \
delegating behavior.

Name:           python-%{pkgname}
Version:        2.0.3
Release:    1%{?dist}
Summary:        %{summary}

License:        LGPLv3
URL:            https://launchpad.net/lazr.delegates
Source0:        https://files.pythonhosted.org/packages/source/l/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-zope-interface
%if 0%{?with_python3_other}
BuildRequires: python%{python3_other_pkgversion}-devel
BuildRequires: python%{python3_other_pkgversion}-setuptools
BuildRequires: python%{python3_other_pkgversion}-nose
BuildRequires: python%{python3_other_pkgversion}-zope-interface
%endif


%description %{_description}


%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-nose
Requires:       python%{python3_pkgversion}-zope-interface

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}


%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary:        %{summary}
Requires:       python%{python3_other_pkgversion}-setuptools
Requires:       python%{python3_other_pkgversion}-nose
Requires:       python%{python3_other_pkgversion}-zope-interface

%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build
%if 0%{?with_python3_other}
%endif


%install
%py3_install
%if 0%{?with_python3_other}
%py3_other_install
%endif


%check
exit 0
%{__python3} setup.py nosetests
%if 0%{?with_python3_other}
%{__python3_other} setup.py nosetests
%endif


%files -n python%{python3_pkgversion}-%{pkgname}
%license COPYING.txt
%doc README.rst HACKING.rst
%{python3_sitelib}/lazr/
%{python3_sitelib}/%{srcname}-%{version}*-py%{python3_version}.egg-info/
%{python3_sitelib}/%{srcname}-%{version}*-py%{python3_version}-nspkg.pth

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%license COPYING.txt
%doc README.rst HACKING.rst
%{python3_other_sitelib}/lazr/
%{python3_other_sitelib}/%{srcname}-%{version}*-py%{python3_other_version}.egg-info/
%{python3_other_sitelib}/%{srcname}-%{version}*-py%{python3_other_version}-nspkg.pth
%endif


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-1
- initial build
